
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1193

Broken search on VA albums, prefer the "Album Artist" tag over "Artist" in search, if album artist

present

September 29, 2022 15:03 - Matt K

Status: Closed Start date: September 29, 2022

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/search tool Estimated time: 0.00 hour

Target version: 4.3   

Affects version: 4.2   

Description

Albums with multiple artists cannot be added via the Search tool, because it interprets a single album as many different albums, if it

sees different artist names for each song. This is the correct behavior under normal circumstances, but incorrect for VA (various

artists) albums.

The correct way of tagging VA albums is to keep different artist names in the "Artist" field, but use the same artist name in the

"Album Artist" field, ie.:

Song1.mp3, Album: Foo, Artist: Baz, Album artist: Various Artists

Song2.mp3, Album: Foo, Artist: Bar, Album artist: Various Artists

 

Albums tagged this way work correctly in Foobar 2000 and Power Amp (Android).

History

#1 - October 17, 2022 17:23 - John Lindgren

Using Album Artist to solve this issue is a good idea.  It will take a little bit of thought to figure out how to implement the logic correctly.

#2 - October 17, 2022 21:20 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 4.3

- Status changed from New to Closed

Album artist is treated more logically in master now:

https://github.com/audacious-media-player/audacious-plugins/commit/e6f39377ba1e634152b7d072a9984ce68d638730

If you are comfortable building from source, please test, otherwise wait for the next version. Thanks for the report!

#3 - October 18, 2022 09:58 - Matt K

Great job. Sure, I could try. Is there an up-to-date guide for building the project anywhere?

#4 - October 19, 2022 18:44 - Jim Turner

Yes there is, not certain it's totally up2date (may find you need another library or 2 whilst compiling), but it's here:  

https://redmine.audacious-media-player.org/boards/1/topics/788

Regards,

Jim
